Bug 20837 - missing krb5 libs after upgrade
missing krb5 libs after upgrade
Product: Red Hat Linux
Classification: Retired
Component: krb5 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Wil Harris
Depends On:
  Show dependency treegraph
Reported: 2000-11-14 12:11 EST by Miguel
Modified: 2009-09-10 15:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-14 12:11:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miguel 2000-11-14 12:11:44 EST
I upgraded from rh6.0 to rh7.0.  Now when I try to upgrade the latest fetchmail package I get an error that the needed krb5 libs are not present:

rpm -U fetchmail-5_5_0-2_6_i386.rpm
error: failed dependencies:
         libk5crypto.so.2 is needed by fetchmail-5_5_0-2_6_i386.rpm
         libkrb5.so.2 is needed by fetchmail-5_5_0-2_6_i386.rpm

the so.3 versions are present, but the so.2 versions do not exist on the system.

I forced an update of the krb5.rpm and installed the workstation and server krb5 packages, to no avail.

I believe that part of the problem may have arisen from the fact that I previously had an earlier version of postgresql installed on my rh6.0 box.  
After upgrading to rh7.0 and the new version of postgresql, my ld.conf file had an incorrect entry for kerberos libs under my postgresql 
directories (which no longer existed) and I had to manually update ld.conf to point to the new kerberos libs.  I think this may have been a factor 
because it may have been the case on my rh6.0 box that the kerberos libs were, in fact, located with postgresql (don't know why).  Then for 
whatever reason, the so.2 versions of those libs may not have been laid down in the new kerberos location, after which the new postgresql 
install may have removed the earlier kerberos directory, expecting to find its libs in the new location.   Of course, that is just a guess on my part.
Comment 1 Nalin Dahyabhai 2000-11-20 18:10:45 EST
I suspect that you've attempted to install the errata for RHL 6.2 onto RHL 7. 
The errata package for RHL 7 is at
Please reopen this bug report if this is not the correct solution.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.